| Kea 3.0.2-git

isc::dhcp::DuplicateAddress Class Reference

Exception thrown when duplicated address specified. More...

`#include <cfg_iface.h>`

Inheritance diagram for isc::dhcp::DuplicateAddress:
[legend]

## Public Member Functions
| DuplicateAddress (const char *file, size_t line, const char *what)
Public Member Functions inherited from isc::Exception
virtual const char * | what () const throw ()
| Returns a C-style character string of the cause of the exception.
virtual const char * | what (bool verbose) const throw ()
| Returns a C-style character string of the cause of exception.
const std::string & | getMessage () const
| Gets a string describing the cause of the exception.
const char * | getFile () const
| Gets the file name where the exception was thrown.
size_t | getLine () const
| Gets the line number of the file where the exception was thrown.
| Exception (const char *file, size_t line, const char *what)
| Constructor for a given type for exceptions with file name and file line number.
| Exception (const char *file, size_t line, const std::string &what)
| Constructor for a given type for exceptions with file name and file line number.
virtual | ~Exception () throw ()
| The destructor.

## Detailed Description

Exception thrown when duplicated address specified.

Definition at line 45 of file cfg_iface.h.

## Constructor & Destructor Documentation

## ◆ DuplicateAddress()

isc::dhcp::DuplicateAddress::DuplicateAddress | ( | const char * | file,
|  | size_t | line,
|  | const char * | what )
| inline

Definition at line 47 of file cfg_iface.h.

References isc::Exception::Exception(), and isc::Exception::what().

Here is the call graph for this function:

The documentation for this class was generated from the following file:

- cfg_iface.h